CREATE TABLE IF NOT EXISTS `AutoRoles`
(
    `AutoRoleId`       BIGINT NOT NULL AUTO_INCREMENT,
    `ServerId`         BIGINT,
    `DiscordMessageId` BIGINT NOT NULL,
    `CreatedAt`        DATETIME(6),
    `LastModifiedAt`   DATETIME(6),
    PRIMARY KEY (`AutoRoleId`),
    FOREIGN KEY (`ServerId`) REFERENCES `Servers` (`ServerId`)
);

CREATE TABLE IF NOT EXISTS `AutoRoleRules`
(
    `AutoRoleRuleId`   BIGINT NOT NULL AUTO_INCREMENT,
    `AutoRoleId`       BIGINT,
    `DiscordEmojiName` VARCHAR(64),
    `DiscordRoleId`    BIGINT NOT NULL,
    `CreatedAt`        DATETIME(6),
    `LastModifiedAt`   DATETIME(6),
    PRIMARY KEY (`AutoRoleRuleId`),
    FOREIGN KEY (`AutoRoleId`) REFERENCES `AutoRoles` (`AutoRoleId`)
);


